// 1RunIt.sce

//*****************************************************************************
// Modelo dinamico 6DOF de un cuadricopter
// Los parametros de cuadricoptero tomamos de codigo de Gibiansky
//*****************************************************************************

clc;
clear;
xdel(winsid());

//exec("TestParam.sce");
exec("SimParam.sce");
exec("FrameParam.sce");
//exec("SensParam.sce");
//exec("StateEstimat.sce");
//exec("trim.sce");
//exec("Sensors.sce");
//exec("MDNonLin.sce");
exec("MDLinQuad.sce");
exec("Geometry.sce");
exec("Animation.sce");
exec("FigAndFiles.sce");
//exec("Comparator.sce");

tInit=0;
tFin=4; // segundos
step=0.005; // segundos
t=tInit:step:tFin;

delta=[714;713;713;713]
x0=[0; 0; 0; 0; 0; 0; 0; 0; 0; 0; 0; 0];
tic();

	// Flight simulation
	MDResult=DynamicModel(x0, tInit, t, delta);
	//printf("Tiempo de calculo: %f\n",toc());
//	Graph(1,WTitles(1),subWtitles(1:6),[t;MDResult(1:6,:)]);
//	Graph(2,WTitles(2),subWtitles(7:12),[t;MDResult(7:12,:)]);
	Save2File([t',MDResult'],DMResultFile,DMFileHeader);

	// Animation
	PosAng=[MDResult(1:3,:);MDResult(7:9,:)];
	DrawTrajectory(PosAng,7);
printf("execution time=%g s\n",toc());

// y0=BestY0;// Init. cond. resulted in max error 
// delta=BestDelta; // Controls resulted in max error 
//
	
