// Quadrotor frame parameters (from Andrew Gibiansky proyect) 

P.k_1 = 3e-6; // thrust coefficient
P.k_2 = 1e-7; // thrust coefficient  
P.kd=0.25; //global drag coefficient
P.m=0.5;    //kg //Quadrotor's mass
P.L=0.25;   //m //distance from the center of mass of the quadcopter to the propellers

P.J_x=5e-3;     //kg*m^2
P.J_y=5e-3;      //kg*m^2
P.J_z=10e-3;      //kg*m^2

P.J=[P.J_x,   0  ,    0;
       0  , P.J_y,    0;
       0  ,   0  ,  P.J_z];
